org.omg.CORBA

## Class ValueMemberHelper

- java.lang.Object
- - org.omg.CORBA.ValueMemberHelper

    public abstract class ValueMemberHelper
    extends Object

The Helper for `ValueMember`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/ValueMemberHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl 03 June 1999 11:33:44 o'clock GMT+00:00

### Constructor Summary

Constructors
Constructor and Description
`ValueMemberHelper()`

### Method Summary

Methods
`static ValueMember` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, ValueMember that)`
`static ValueMember` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, ValueMember value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueMemberHelper

    public ValueMemberHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              ValueMember that)

#### extract

    public static ValueMember extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static ValueMember read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             ValueMember value)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.